Last release for Java 7 Wheezy Jessie Precise Trusty

Post Reply
User avatar
zzz
Posts: 151
Joined: 31 Mar 2018 13:15

Last release for Java 7 Wheezy Jessie Precise Trusty

Post by zzz »

The next I2P release 0.9.46 will be the last one that supports Java 7.

This means we will not have any newer official packages in our PPA or Debian repo for Wheezy, Jessie, Precise (12.04), and Trusty (14.04) after 0.9.46.

Anybody still on Java 7, Wheezy, Jessie, Precise, or Trusty will not be able to install with our official installers, and will not be able to automatically update.

You may still be able to build it yourself, if you have the required backport packages.

This is driven by minimum JRE requirements for our package dependencies, in particular Jetty. Certain portions of our source code will remain Java 6 or 7 compatible because of Android.

Please ensure you have updated to Java 8 or higher, and/or Debian Stretch or higher, and/or Ubuntu Xenial (16.04) or higher to continue receiving I2P updates.
Post Reply